Send NFTs to users (bring your own contract)

🕒 This guide takes 5 minutes to send an NFT to a wallet or email.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

Don't have an NFT contract yet?

You can also Mint NFTs to users without a contract.

Props for nfts

NameTypeDescription
recipient *stringThe wallet or email address that will receive the NFT. Note: Email recipients will receive a unique claim link.
mintMethodobjectRequired for custom contracts. Remove this field if your contract type is not CUSTOM_CONTRACT. Details about your contract's method to purchase the NFT. See details.
Body Params
string
required

The contract ID that was registered on Developer Dashboard: MintingKit Collections.

json
Defaults to [ { "mintMethod": { "name": "claimTo", "args": { "_to": "$WALLET" }, "payment": { "currency": "MATIC", "value": "0" } }, "recipient": "[email protected]" }, { "mintMethod": { "name": "claimTo", "args": { "_to": "$WALLET" }, "payment": { "currency": "MATIC", "value": "0" } }, "recipient": "0x2086Fcd5b0B8F4aFAc376873E861DE00c67D7B83" } ]

An array of recipients and optional overrides. See Props for nfts table for details.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json